/**\file console.h
 * Console functions. Excluded from documentation for simplicity reasons.
 */

#ifndef CONSOLE_H
#define CONSOLE_H


//#define DebugMessage(c){ConsoleWrite(c);}
#define DebugMessage(c){}


#if 1

/** Output a character to console */
#define ConsolePutChar(c){while (!TI);TI = 0; SBUF = (c);}


#define USE_CONSOLE 1

void ConsoleWrite(char code *str);
void ConsolePutHex16 (unsigned int value);
void ConsolePutHex8 (unsigned char value);
void ConsolePutUInt(unsigned long value);

#else

#define ConsoleWrite(a);
#define ConsolePutHex16(a);
#define ConsolePutHex8(a);
#define ConsolePutChar(a);
#define ConsolePutUInt(a);

#endif


#endif
